<style>
    #root {
        height: 40px;
        margin-right: 20px;

        display: grid;
        gap: 20px;
        grid-template-columns: auto 1fr auto;
        align-items: center;

        margin-bottom: 7px;
    }

    div#location {
        display: grid;
        grid-template-columns: 1fr 7em;
        justify-items: center;

    }
    div#location span {
        margin-left: 15px;
        font-size: 0.9em;
    }

    img {
        height: 42px;
        margin: -1px;
        border-radius: var(--small-br);
    }

    input {
        width: 100%;

    }

    div {
        display: flex;
        align-items: center;
    }

    svg {
        height: 30px;
        width: 30px;
        fill: var(--text);
    }
</style>

<script>
    const pad2 = number => (number < 10 ? '0' : '') + Math.trunc(number)
    $: songLengthString = `${Math.trunc(rootAudio.time / 60)}:${pad2(rootAudio.time % 60)}/ ${Math.trunc(rootAudio.duration / 60)}:${pad2(rootAudio.duration % 60)}`;

    export let currentSong;
    export let rootAudio;
</script>

<div id="root">
    <div>
        {#if currentSong.name}
            <img src="{currentSong.src}" alt="">
            <span style="margin-left: 10px;">{currentSong.name} by {currentSong.author}</span>
        {/if}
    </div>

    <div id="location">
        <input type=range bind:value={rootAudio.time} min=0 max={rootAudio.duration}>
        <span>{songLengthString}</span>
    </div>


    <div>

        <svg viewBox="0 0 24 24">
            <path d="M6,18V6H8V18H6M9.5,12L18,6V18L9.5,12Z" />
        </svg>

        {#if !rootAudio.paused}
            <svg viewBox="0 0 24 24" on:click={() => rootAudio.paused = !rootAudio.paused}>
                <path d="M14,19H18V5H14M6,19H10V5H6V19Z" />
            </svg>
        {:else}
            <svg viewBox="0 0 24 24" on:click={() => rootAudio.paused = !rootAudio.paused}>
                <path d="M8,5.14V19.14L19,12.14L8,5.14Z" />
            </svg>
        {/if}

        <svg viewBox="0 0 24 24">
            <path d="M16,18H18V6H16M6,18L14.5,12L6,6V18Z" />
        </svg>

        <svg style="width:24px;height:24px; margin-left:10px" viewBox="0 0 24 24">
            <path d="M12,16A2,2 0 0,1 14,18A2,2 0 0,1 12,20A2,2 0 0,1 10,18A2,2 0 0,1 12,16M12,10A2,2 0 0,1 14,12A2,2 0 0,1 12,14A2,2 0 0,1 10,12A2,2 0 0,1 12,10M12,4A2,2 0 0,1 14,6A2,2 0 0,1 12,8A2,2 0 0,1 10,6A2,2 0 0,1 12,4Z" />
        </svg>

    </div>


</div>